import { MatrixClient } from "matrix-js-sdk/src/matrix";
/**
 * Fetch a user's delclared timezone through their profile, and return
 * a friendly string of the current time for that user. This will keep
 * in sync with the current time, and will be refreshed once a minute.
 *
 * @param cli The Matrix Client instance.
 * @param userId The userID to fetch the timezone for.
 * @returns A timezone name and friendly string for the user's timezone, or
 *          null if the user has no timezone or the timezone was not recognised
 *          by the browser.
 */
export declare const useUserTimezone: (cli: MatrixClient, userId: string) => {
    timezone: string;
    friendly: string;
} | null;
